Bug 235576 - lang/php73: Update to 7.3.2
Summary: lang/php73: Update to 7.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-07 13:30 UTC by Pascal Christen
Modified: 2019-02-08 11:26 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
Update to 7.3.2 (637 bytes, patch)
2019-02-07 13:30 UTC, Pascal Christen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Christen 2019-02-07 13:30:49 UTC
Created attachment 201815 [details]
Update to 7.3.2

07 Feb 2019

    Core:
        Fixed bug #77369 (memcpy with negative length via crafted DNS response).
        Fixed bug #77387 (Recursion detection broken when printing GLOBALS).
        Fixed bug #77376 ("undefined function" message no longer includes namespace).
        Fixed bug #77357 (base64_encode / base64_decode doest not work on nested VM).
        Fixed bug #77339 (__callStatic may get incorrect arguments).
        Fixed bug #77317 (__DIR__, __FILE__, realpath() reveal physical path for subst virtual drive).
        Fixed bug #77263 (Segfault when using 2 RecursiveFilterIterator).
        Fixed bug #77447 (PHP 7.3 built with ASAN crashes in zend_cpu_supports_avx2).
        Fixed bug #77484 (Zend engine crashes when calling realpath in invalid working dir).
    Curl:
        Fixed bug #76675 (Segfault with H2 server push).
    Fileinfo:
        Fixed bug #77346 (webm files incorrectly detected as application/octet-stream).
    FPM:
        Fixed bug #77430 (php-fpm crashes with Main process exited, code=dumped, status=11/SEGV).
    GD:
        Fixed bug #73281 (imagescale(…, IMG_BILINEAR_FIXED) can cause black border).
        Fixed bug #73614 (gdImageFilledArc() doesn't properly draw pies).
        Fixed bug #77272 (imagescale() may return image resource on failure).
        Fixed bug #77391 (1bpp BMPs may fail to be loaded).
        Fixed bug #77479 (imagewbmp() segfaults with very large images).
    ldap:
        Fixed bug #77440 (ldap_bind using ldaps or ldap_start_tls()=exception in libcrypto-1_1-x64.dll).
    Mbstring:
        Fixed bug #77428 (mb_ereg_replace() doesn't replace a substitution variable).
        Fixed bug #77454 (mb_scrub() silently truncates after a null byte).
    MySQLnd:
        Fixed bug #77308 (Unbuffered queries memory leak).
        Fixed bug #75684 (In mysqlnd_ext_plugin.h the plugin methods family has no external visibility).
    Opcache:
        Fixed bug #77266 (Assertion failed in dce_live_ranges).
        Fixed bug #77257 (value of variable assigned in a switch() construct gets lost).
        Fixed bug #77434 (php-fpm workers are segfaulting in zend_gc_addre).
        Fixed bug #77361 (configure fails on 64-bit AIX when opcache enabled).
        Fixed bug #77287 (Opcache literal compaction is incompatible with EXT opcodes).
    PCRE:
        Fixed bug #77338 (get_browser with empty string).
    PDO:
        Fixed bug #77273 (array_walk_recursive corrupts value types leading to PDO failure).
    PDO MySQL:
        Fixed bug #77289 (PDO MySQL segfaults with persistent connection).
    SOAP:
        Fixed bug #77410 (Segmentation Fault when executing method with an empty parameter).
    Sockets:
        Fixed bug #76839 (socket_recvfrom may return an invalid 'from' address on MacOS).
    SPL:
        Fixed bug #77298 (segfault occurs when add property to unserialized empty ArrayObject).
    Standard:
        Fixed bug #77395 (segfault about array_multisort).
        Fixed bug #77439 (parse_str segfaults when inserting item into existing array).
Comment 1 commit-hook freebsd_committer 2019-02-08 11:10:09 UTC
A commit references this bug:

Author: tz
Date: Fri Feb  8 11:09:23 UTC 2019
New revision: 492425
URL: https://svnweb.freebsd.org/changeset/ports/492425

Log:
  lang/php73: Upgrade from 7.3.1 to 7.3.2

  Changelog:

      Core:
          Fixed bug #77369 (memcpy with negative length via crafted DNS response).
          Fixed bug #77387 (Recursion detection broken when printing GLOBALS).
          Fixed bug #77376 ("undefined function" message no longer includes namespace).
          Fixed bug #77357 (base64_encode / base64_decode doest not work on nested VM).
          Fixed bug #77339 (__callStatic may get incorrect arguments).
          Fixed bug #77317 (__DIR__, __FILE__, realpath() reveal physical path for subst virtual drive).
          Fixed bug #77263 (Segfault when using 2 RecursiveFilterIterator).
          Fixed bug #77447 (PHP 7.3 built with ASAN crashes in zend_cpu_supports_avx2).
          Fixed bug #77484 (Zend engine crashes when calling realpath in invalid working dir).
      Curl:
          Fixed bug #76675 (Segfault with H2 server push).
      Fileinfo:
          Fixed bug #77346 (webm files incorrectly detected as application/octet-stream).
      FPM:
          Fixed bug #77430 (php-fpm crashes with Main process exited, code=dumped, status=11/SEGV).
      GD:
          Fixed bug #73281 (imagescale(?, IMG_BILINEAR_FIXED) can cause black border).
          Fixed bug #73614 (gdImageFilledArc() doesn't properly draw pies).
          Fixed bug #77272 (imagescale() may return image resource on failure).
          Fixed bug #77391 (1bpp BMPs may fail to be loaded).
          Fixed bug #77479 (imagewbmp() segfaults with very large images).
      ldap:
          Fixed bug #77440 (ldap_bind using ldaps or ldap_start_tls()=exception in libcrypto-1_1-x64.dll).
      Mbstring:
          Fixed bug #77428 (mb_ereg_replace() doesn't replace a substitution variable).
          Fixed bug #77454 (mb_scrub() silently truncates after a null byte).
      MySQLnd:
          Fixed bug #77308 (Unbuffered queries memory leak).
          Fixed bug #75684 (In mysqlnd_ext_plugin.h the plugin methods family has no external visibility).
      Opcache:
          Fixed bug #77266 (Assertion failed in dce_live_ranges).
          Fixed bug #77257 (value of variable assigned in a switch() construct gets lost).
          Fixed bug #77434 (php-fpm workers are segfaulting in zend_gc_addre).
          Fixed bug #77361 (configure fails on 64-bit AIX when opcache enabled).
          Fixed bug #77287 (Opcache literal compaction is incompatible with EXT opcodes).
      PCRE:
          Fixed bug #77338 (get_browser with empty string).
      PDO:
          Fixed bug #77273 (array_walk_recursive corrupts value types leading to PDO failure).
      PDO MySQL:
          Fixed bug #77289 (PDO MySQL segfaults with persistent connection).
      SOAP:
          Fixed bug #77410 (Segmentation Fault when executing method with an empty parameter).
      Sockets:
          Fixed bug #76839 (socket_recvfrom may return an invalid 'from' address on MacOS).
      SPL:
          Fixed bug #77298 (segfault occurs when add property to unserialized empty ArrayObject).
      Standard:
          Fixed bug #77395 (segfault about array_multisort).
          Fixed bug #77439 (parse_str segfaults when inserting item into existing array).

  Changelog taken from: http://www.php.net/ChangeLog-7.php#7.3.2

  PR:		235576 235578
  MFH:		2019Q1

Changes:
  head/devel/php73-readline/files/patch-config.m4
  head/lang/php73/Makefile
  head/lang/php73/distinfo
Comment 2 Torsten Zuehlsdorff freebsd_committer 2019-02-08 11:17:49 UTC
Same comment as for PHP 7.2, thank you!
Torsten
Comment 3 commit-hook freebsd_committer 2019-02-08 11:26:27 UTC
A commit references this bug:

Author: tz
Date: Fri Feb  8 11:26:17 UTC 2019
New revision: 492426
URL: https://svnweb.freebsd.org/changeset/ports/492426

Log:
  MFH: r492425

  lang/php73: Upgrade from 7.3.1 to 7.3.2

  Changelog:

      Core:
          Fixed bug #77369 (memcpy with negative length via crafted DNS response).
          Fixed bug #77387 (Recursion detection broken when printing GLOBALS).
          Fixed bug #77376 ("undefined function" message no longer includes namespace).
          Fixed bug #77357 (base64_encode / base64_decode doest not work on nested VM).
          Fixed bug #77339 (__callStatic may get incorrect arguments).
          Fixed bug #77317 (__DIR__, __FILE__, realpath() reveal physical path for subst virtual drive).
          Fixed bug #77263 (Segfault when using 2 RecursiveFilterIterator).
          Fixed bug #77447 (PHP 7.3 built with ASAN crashes in zend_cpu_supports_avx2).
          Fixed bug #77484 (Zend engine crashes when calling realpath in invalid working dir).
      Curl:
          Fixed bug #76675 (Segfault with H2 server push).
      Fileinfo:
          Fixed bug #77346 (webm files incorrectly detected as application/octet-stream).
      FPM:
          Fixed bug #77430 (php-fpm crashes with Main process exited, code=dumped, status=11/SEGV).
      GD:
          Fixed bug #73281 (imagescale(?, IMG_BILINEAR_FIXED) can cause black border).
          Fixed bug #73614 (gdImageFilledArc() doesn't properly draw pies).
          Fixed bug #77272 (imagescale() may return image resource on failure).
          Fixed bug #77391 (1bpp BMPs may fail to be loaded).
          Fixed bug #77479 (imagewbmp() segfaults with very large images).
      ldap:
          Fixed bug #77440 (ldap_bind using ldaps or ldap_start_tls()=exception in libcrypto-1_1-x64.dll).
      Mbstring:
          Fixed bug #77428 (mb_ereg_replace() doesn't replace a substitution variable).
          Fixed bug #77454 (mb_scrub() silently truncates after a null byte).
      MySQLnd:
          Fixed bug #77308 (Unbuffered queries memory leak).
          Fixed bug #75684 (In mysqlnd_ext_plugin.h the plugin methods family has no external visibility).
      Opcache:
          Fixed bug #77266 (Assertion failed in dce_live_ranges).
          Fixed bug #77257 (value of variable assigned in a switch() construct gets lost).
          Fixed bug #77434 (php-fpm workers are segfaulting in zend_gc_addre).
          Fixed bug #77361 (configure fails on 64-bit AIX when opcache enabled).
          Fixed bug #77287 (Opcache literal compaction is incompatible with EXT opcodes).
      PCRE:
          Fixed bug #77338 (get_browser with empty string).
      PDO:
          Fixed bug #77273 (array_walk_recursive corrupts value types leading to PDO failure).
      PDO MySQL:
          Fixed bug #77289 (PDO MySQL segfaults with persistent connection).
      SOAP:
          Fixed bug #77410 (Segmentation Fault when executing method with an empty parameter).
      Sockets:
          Fixed bug #76839 (socket_recvfrom may return an invalid 'from' address on MacOS).
      SPL:
          Fixed bug #77298 (segfault occurs when add property to unserialized empty ArrayObject).
      Standard:
          Fixed bug #77395 (segfault about array_multisort).
          Fixed bug #77439 (parse_str segfaults when inserting item into existing array).

  Changelog taken from: http://www.php.net/ChangeLog-7.php#7.3.2

  PR:		235576 235578

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/devel/php73-readline/files/patch-config.m4
  branches/2019Q1/lang/php73/Makefile
  branches/2019Q1/lang/php73/distinfo